package My::Schema::Result::FollowingMap;
use strict;
use warnings;
use base 'DBIx::Class::Core';

__PACKAGE__->table('following_map');
__PACKAGE__->add_columns(
    id => {
        data_type         => 'INTEGER',
        is_nullable       => 0,
        is_auto_increment => 1,
    },

    user => {
        data_type   => 'INTEGER',
        is_nullable => 0,
    },

    target => {
        data_type   => 'INTEGER',
        is_nullable => 0,
    },
);
__PACKAGE__->set_primary_key('id');

__PACKAGE__->belongs_to( user => 'My::Schema::Result::User' );
__PACKAGE__->belongs_to( target => 'My::Schema::Result::User' );

1;








