#!/usr/bin/env perl

use utf8;
use strict;
use warnings;
use FindBin;
use lib "$FindBin::Bin/../lib";

use My::Schema;

my $schema = My::Schema->connect(
    "dbi:SQLite:$FindBin::Bin/../database.db", '', '', {
        sqlite_unicode => 1,
    }
);

# ユーザー名を適当に生成
my $username = 'user-' . time;

# そのユーザー名のユーザーを作成
my $user = $schema->resultset('User')->create({ username => $username });

# プロフィールも適当に設定
$user->profile->update({ bio => "${username}'s default profile" });


